
using System.Text.Json;
using AcaMate.Common.Data;
using AcaMate.Common.Models;
using AcaMate.V1.Models;
using Microsoft.AspNetCore.Http.HttpResults;
using Microsoft.AspNetCore.Mvc;

namespace AcaMate.V1.Controllers;

[ApiController]
[Route("/api/v1/in/member")]
[ApiExplorerSettings(GroupName = "사업자 정보")]
public class MemberController: ControllerBase
{
    private readonly AppDbContext _dbContext;

    public MemberController(AppDbContext dbContext)
    {
        _dbContext = dbContext;
    }
    
    [HttpGet("business")]
    public IActionResult GetBusinessData()
    {
        // return Ok("GOOD");
        return Ok("DB 참조");
    }

    
    
    
    
    
    // -- -- -- -- -- -- -- -- -- -- -- -- //

    [HttpGet("/api/v1/out/member/business")]
    public IActionResult SearchBusinessNo()
    {
        return Ok("외부 참조");
    }
    
}